Bug 13781 - Relative's checkouts table is missing one column heading
Summary: Relative's checkouts table is missing one column heading
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Patrons (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Genevieve Plantin
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-03-03 10:12 UTC by Katrin Fischer
Modified: 2016-06-21 21:38 UTC (History)
11 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:


Attachments
Screenshot of the table (18.10 KB, image/png)
2015-03-03 10:12 UTC, Katrin Fischer
Details
CAM 2146 - Bug 13781 - Fix relatives's checkouts missing heading columns (1.64 KB, patch)
2015-09-04 13:17 UTC, Genevieve Plantin
Details | Diff | Splinter Review
CAM 2146 - Bug 13781 - Fix missing heading columns for relative's checkouts table in check out patron page (1.46 KB, patch)
2015-09-08 18:13 UTC, Genevieve Plantin
Details | Diff | Splinter Review
CAM 2146 - Bug 13781 - Fix relatives's checkouts missing heading columns (1.83 KB, patch)
2015-09-09 06:00 UTC, Marc Véron
Details | Diff | Splinter Review
CAM 2146 - Bug 13781 - Fix missing heading columns for relative's checkouts table in check out patron page (1.65 KB, patch)
2015-09-09 06:03 UTC, Marc Véron
Details | Diff | Splinter Review
[PASSED QA] Bug 13781: Fix relatives's checkouts missing heading columns (1.92 KB, patch)
2015-09-13 16:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 13781: Fix missing heading columns for relative's checkouts table in check out patron page (1.65 KB, patch)
2015-09-13 16:43 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Katrin Fischer 2015-03-03 10:12:41 UTC
Created attachment 36376 [details]
Screenshot of the table

In the relatives' checkouts table one column heading is missing, so most of the column headings are off and don't match what is shown in the column.

It looks like the very first column heading for 'due date' is missing.
Comment 1 Genevieve Plantin 2015-09-04 13:17:08 UTC Comment hidden (obsolete)
Comment 2 Genevieve Plantin 2015-09-08 18:13:29 UTC Comment hidden (obsolete)
Comment 3 Marc Véron 2015-09-09 06:00:34 UTC Comment hidden (obsolete)
Comment 4 Marc Véron 2015-09-09 06:03:09 UTC Comment hidden (obsolete)
Comment 5 Katrin Fischer 2015-09-13 16:35:28 UTC
Please make sure to include a test plan in your commit messages in the future.
Comment 6 Katrin Fischer 2015-09-13 16:42:39 UTC
There are also 2 other small things to keep an eye on next time:
1) Please start your commit messages with Bug xxxxx: - that will help our release scripts and other tools pick them up correctly.

2) Please be careful - Koha standardized to using 4 spaces and no tabs. The QA tool pointed out some issues there that I have fixed when reviewing your patches:

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/circ/circulation.tt
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 896)
		forbidden pattern: tab char (line 900)
   OK	  spelling
   OK	  tt_valid
   OK	  valid_template

 FAIL	koha-tmpl/intranet-tmpl/prog/en/modules/members/moremember.tt
   FAIL	  forbidden patterns
		forbidden pattern: tab char (line 451)
		forbidden pattern: tab char (line 447)
		forbidden pattern: tab char (line 456)
   OK	  spelling
   OK	  tt_valid
   OK	  valid_template
Comment 7 Katrin Fischer 2015-09-13 16:43:11 UTC
Created attachment 42501 [details] [review]
[PASSED QA] Bug 13781: Fix relatives's checkouts missing heading columns

There was two missing heading columns (location and fine) and one hidden heading missing column (this hidden column is needing for sorting the table) it was taking the due_date column for the hidden column, so I added them

Both patches tested together. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 8 Katrin Fischer 2015-09-13 16:43:22 UTC
Created attachment 42502 [details] [review]
[PASSED QA] Bug 13781: Fix missing heading columns for relative's checkouts table in check out patron page

Theres was two missing heading columns Location and Fines in the Check out section of a Patron

Tested both patches together. Works as expected.
Signed-off-by: Marc Véron <veron@veron.ch>

Signed-off-by: Katrin Fischer <katrin.fischer.83@web.de>
Comment 9 Katrin Fischer 2015-09-13 16:43:37 UTC
Thx for fixing this :)
Comment 10 Genevieve Plantin 2015-09-14 20:16:26 UTC
Ok I'm sorry and thank you, I'll be careful next time ^^
Comment 11 Tomás Cohen Arazi 2015-09-18 15:09:36 UTC
Patches pushed to master.

Thanks Genevieve and congrats for your first commits to Koha!
Comment 12 Chris Cormack 2015-09-22 18:02:57 UTC
Pushed to 3.20.x will be in 3.20.4
Comment 13 Liz Rea 2015-09-23 01:06:16 UTC
Pushed to 3.18.x will be in 3.18.11